# $Id: e-smith-horde.spec,v 1.22 2010/05/11 04:07:35 mrjhb3 Exp $

Summary: e-smith specific Horde configuration and templates.
%define name smeserver-horde
Name: %{name}
%define version 1.0.0
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
#Patch1: e-smith-horde-4.8.0_renumber_database_creation.order.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.9.44, php-horde-horde >= 5.2, mariadb
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: horde-h3, e-smith-horde, imp-h3, e-smith-imp
Obsoletes: ingo-h3, e-smith-ingo, turba-h3, e-smith-turba
Obsoletes: kronolith-h3, smeserver-kronolith, nag-h3, smeserver-nag
Obsoletes: mnemo-h3, smeserver-mnemo


%changelog
* Sun Jun 19 2016 John H. Bennett III <bennettj@johnbennettservices.com> 1.0.0-1
- First released build for SME10 

%description
This package adds necessary templates and configuration items
for Horde, Imp, Ingo, Kronolith, Mnemo, Nag and Turba
to work on SME Server 10

%prep
%setup

#%patch1 -p1

%build
for i in post-install post-upgrade
do
    mkdir -p root/etc/e-smith/events/$i
done
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
